#pragma once

#include "BaseControl.h"

class Engine CButtonControl
	: public CBaseControl
{

public:
	CButtonControl( int aIdx, LPCWSTR aName, int aX, int aY, int aWidth, int aHeight, 
		DWORD aStyle = WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON );
	~CButtonControl(void);

	void				SetText( LPCWSTR aText );	
	LPCWSTR				GetText( void );
};

